<?php

/**
 * Localize strings for javascript
 */

return array(

	// General
	'section'         => __( 'Section', $td ),
	'section-numeric' => __( 'Section %s', $td ),
	'section-format'  => __( 'Section &ndash; %s', $td ),
	'row'             => __( 'Row', $td ),
	'row-numeric'     => __( 'Row %s', $td ),
	'column'          => __( 'Column', $td ),
	'column-format'   => __( 'Column &ndash; %s', $td ),




	// Footer
	'footer-button-save'       => __( 'Save', $td ),
	'footer-dashboard-confirm' => __( 'Are you sure you wish to return to the Dashbord?', $td ),

	// Layout
	'layout-heading'                => __( 'Layout', $td ),
	'layout-return'                 => __( 'Back to Layout', $td ),
	'layout-add-row'                => __( 'Add Row', $td ),
	'layout-add-section'            => __( 'Add Section', $td ),
	'layout-templates'              => __( 'Templates', $td ),


	'layout-section-delete-confirm' => __( 'Are you sure you want to delete this section along with all it&apos;s contents?', $td ),
	'layout-row-delete-confirm'     => __( 'Are you sure you want to delete this row along with all it&apos;s contents?', $td ),
	'layout-row-subtext'            => __( 'Click a row to manage columns. Drag to reorder.', $td ),
	'layout-info-title'             => __( 'Just getting started?', $td ),
	'layout-info-description'       => __( 'Add a section then click on it to manage column layouts or drag it to reorder.', $td ),

	// Layout - Columns
	//'columns-info-title'       => __( 'Want to add content?', $td ),
	//'columns-info-description' => __( 'Choose a layout, click the <strong class="glue">%%icon-nav-elements-solid%% Elements</strong> icon above, then drag elements into a column.', $td ),
	'columns-layout-custom'    => __( 'Custom', $td ),
	//'columns-layout-label'     => __( 'Column Layout &ndash; %%title%%', $td ),
	//'columns-layout-tooltip'   => __( 'Choose from one of our predefined column layouts, or specify your own using the input below. Columns cannot be any smaller than 1/6 and must add up to a whole.', $td ),
	//'columns-order-label'      => __( 'Column Order &ndash; %%title%%', $td ),
	//'columns-order-tooltip'    => __( 'Click and drag to reorder your columns.', $td ),
	'columns-erase-confirm'    => __( 'This will remove all elements from this column. Are you sure you want to continue?', $td ),


	// Layout - Templates
	'templates-info-title'        => __( 'Blocks and pages?', $td ),
	'templates-info-description'  => __( '<strong>Blocks</strong> are appended to your content, whereas <strong>Pages</strong> will replace your content.', $td ),
	'templates-save'              => __( 'Save', $td ),
	'templates-upload'            => __( 'Upload', $td ),
	'templates-title'             => __( 'My Custom Template', $td ),
	'templates-upload-button'     => __( 'Add to layout', $td ),
	'templates-download'          => __( 'Download', $td ),
	'templates-save-library'      => __( 'To Library', $td ),
	'templates-saved'             => __( 'Template saved.', $td ),
	'templates-save-message'      => __( 'How would you like this page stored in your library?', $td ),
	'templates-save-yep'          => __( 'Page', $td ),
	'templates-save-nope'         => __( 'Block', $td ),
	'templates-upload-message'    => __( 'How would you like this added to your page? Remember, using a page will ERASE your current page contents.', $td ),
	'templates-upload-yep'        => __( 'Page', $td ),
	'templates-upload-nope'       => __( 'Block', $td ),
	'templates-insert'            => __( 'Insert', $td ),
	'templates-themeco-pages'     => __( 'Themeco Pages', $td ),
	'templates-themeco-blocks'    => __( 'Themeco Blocks', $td ),
	'templates-user-pages'        => __( 'My Pages', $td ),
	'templates-user-blocks'       => __( 'My Blocks', $td ),
	'templates-overwrite-message' => __( 'Using a page will <span style="color: #e74c3c;">erase</span> your current page contents. Are you sure you wish to proceed?', $td ),
	'templates-overwrite-yep'     => __( 'Yep', $td ),
	'templates-overwrite-nope'    => __( 'Nope', $td ),
	'templates-error-read'        => __( 'Unable to read file', $td ),
	'templates-error-upload'      => __( 'Sorry! Your file is not properly formatted.', $td ),
	'templates-error-save'        => __( 'Unable to save template.', $td ),
	'templates-error-import'      => __( 'Could not load template.', $td ),
	'templates-remove-label'      => __( 'Remove Templates', $td ),
	'templates-remove'            => __( 'Delete', $td ),
	'templates-remove-block'      => __( '(Block) %s', $td ),
	'templates-remove-page'       => __( '(Page) %s', $td ),
	'templates-remove-message'    => __( 'Are you sure you wish to delete this template? This can not be undone.', $td ),
	'templates-delete-success'    => __( 'Template removed from library.', $td ),
	'templates-error-delete'      => __( 'Unable to delete stored template.', $td ),
	'templates-page-updated'      => __( 'Page updated.', $td ),
	'templates-block-inserted'      => __( 'Block inserted.', $td ),


	// Elements
	'elements-heading' => __( 'Elements', $td ),
	'elements-search'  => __( 'Search Elements', $td ),
	'elements-return'  => __( 'Back to Elements', $td ),

	// Inspector
	'inspector-heading'        => __( 'Inspector', $td ),
	'inspector-return'         => __( 'Back to Inspector', $td ),
	'inspector-blank-title'    => __( 'No elements are selected!', $td ),
	'inspector-blank-sub'      => __( 'Inspect an element by clicking on it in the preview pane.', $td ),
	'inspector-duplicate'      => __( 'Duplicate', $td ),
	'inspector-delete'         => __( 'Delete', $td ),
	'inspector-delete-confirm' => __( 'Are you sure you wish to delete this element?', $td ),
	'inspector-erase'          => __( 'Erase', $td ),
	'inspector-manage-layout'  => __( 'Manage Layout', $td ),

	// Controls
	'controls-on'        => __( 'On', $td ),
	'controls-off'       => __( 'Off', $td ),
	'dimensions-link'    => __( 'Link', $td ),
	'dimensions-unlink'  => __( 'Unlink', $td ),
	'tooltip-inspect'    => __( 'Inspect', $td ),
	'tooltip-copy'       => __( 'Duplicate', $td ),
	'tooltip-delete'     => __( 'Delete', $td ),
	'sortable-add'       => __( 'Add', $td ),
	'sortable-remove'    => __( 'Are you sure you wish to remove this item?', $td ),
	'sortable-at-floor'  => __( 'The last item can&apos;t be deleted, but would you like to reset it to defaults?', $td ),
	'sortable-at-cap'    => __( 'This element has reached it&apos;s capacity. You can&apos;t add any more.', $td ),
	'sortable-default'   => __( 'New Item %s', $td ),
	'sortable-duplicate' => __( 'Copy of %s', $td ),
	'sortable-empty'     => __( 'No items!', $td ),
	'sortable-empty-sub' => __( 'Add some to continue building.', $td ),
	'expand-control'     => __( 'Expand'),

	// Settings
	'settings-heading'       => __( 'Settings', $td ),
	'settings-return'        => __( 'Back to Settings', $td ),
	'settings-loading'       => __( 'Please wait while the settings are loaded.', $td ),
	'settings-css-editor'    => __( 'Custom CSS', $td ),
	'settings-js-editor'     => __( 'Custom JS', $td ),
	'settings-js-denied'     => __( 'Your user role does not permit editing javascript.', $td ),
	'settings-js-message'    => __( 'Remember to save to see your script applied.', $td ),
	'settings-wp-changed'    => __( 'You&apos;ve updated a WordPress setting. Please save your page to apply the changes.', $td ),
	'settings-theme-changed' => __( 'You&apos;ve updated a theme setting. Please save your page to apply the changes.', $td ),

	// Home
	'home-unsaved'          => __( 'You have not saved any changes!', $td ),
	'home-saved-last'       => __( 'Last saved: %s.', $td ),
	'home-view-site'        => __( 'View Page', $td ),
	'home-dashboard'        => __( 'Dashboard', $td ),
	'home-onbeforeunload'   => __( 'Wait! You have unsaved changes.', $td ),

	// Options
	'options-help-text'             => __( 'Help Text', $td ),
	'options-help-text-sub'         => __( 'Enables tooltips when you hover over control labels and other bits of informational text througout the interface.', $td ),
	'options-editor-position'       => __( 'Editor Position', $td ),
	'options-editor-position-left'  => __( 'Left', $td ),
	'options-editor-position-right' => __( 'Right', $td ),
	'options-editor-position-sub'   => __( 'Move the editor to your preferred side of the window.', $td ),

	// Respond
	'respond-extra-large' => __( 'Extra Large', $td ),
	'respond-fullscreen'  => __( 'Fullscreen', $td ),
	'respond-large'       => __( 'Large', $td ),
	'respond-medium'      => __( 'Medium', $td ),
	'respond-small'       => __( 'Small', $td ),

	//Confirm
	'confirm-message' => __( 'Are you sure?', $td ),
	'confirm-yep'     => __( 'Yep', $td ),
	'confirm-nope'    => __( 'Nope', $td ),
	'confirm-back'    => __( 'Back', $td ),

	//Save Complete
	'save-error'             => __( 'Unable to save page.', $td ),
	'save-complete-simple'   => __( 'Content saved.', $td ),
	'save-complete-messages' => array(
		__( 'Woohoo!', $td ),
		__( 'Rock On!', $td ),
		__( 'Radical!', $td ),
		__( 'Tubular!', $td ),
		__( 'Spiffy!', $td ),
		__( 'Yahoo!', $td ),
		__( 'Yippee!', $td ),
		__( 'Have Fun!', $td ),
		__( 'Neat-O!', $td ),
		__( 'Bodacious!', $td ),
		__( 'Scintillating!', $td )
	),


	// Messaging
	'message-notice'  => __( 'Hey!', $td ),
	'message-success' => __( 'Awesome!', $td ),
	'message-error'   => __( 'Uh oh!', $td ),

	'moment-months'         => __( 'January_February_March_April_May_June_July_August_September_October_November_December', $td ),
	'moment-months-short'   => __( 'Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec', $td ),
	'moment-weekdays'       => __( 'Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday', $td ),
	'moment-weekdays-short' => __( 'Sun_Mon_Tue_Wed_Thu_Fri_Sat', $td ),
	'moment-weekdays-min'   => __( 'Su_Mo_Tu_We_Th_Fr_Sa', $td ),

	// Errors
	'browser-no-can'            => __( "We're sorry! Your web browser does not support this action.", $td ),
	'no-preview'                => __( "%s (Preview Unsupported)", $td ),
	'preview-failure'           => __( "An unidentifiable error is preventing the live preview from loading.", $td ),
	'preview-late'              => __( "Loading the preview took longer than expected. There may be script conflicts on this page.", $td ),
	'htmlhint-intro'            => __( "We found some invalid HTML in your content.", $td ),
	'htmlhint-tag-pair'         => __( "You have unclosed HTML tags.", $td ),
	'htmlhint-spec-char-escape' => __( "If not part of an HTML tag, consider using HTML entities for angle brackets by converting <span class=\"monospace\">&lt;</span> to <span class=\"monospace\">&amp;lt;</span> and <span class=\"monospace\">&gt;</span> to <span class=\"monospace\">&amp;gt;</span>", $td )

);